package com.sckw.transport.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.transport.model.KwtWaybillOrderTrack;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface KwtWaybillOrderTrackMapper extends BaseMapper<KwtWaybillOrderTrack> {
    int deleteByPrimaryKey(Long id);

    @Override
    int insert(KwtWaybillOrderTrack record);

    int insertSelective(KwtWaybillOrderTrack record);

    KwtWaybillOrderTrack selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwtWaybillOrderTrack record);

    int updateByPrimaryKey(KwtWaybillOrderTrack record);

    /**
     * @param wOrderId 车辆订单id
     * @param status 状态
     * @desc 查询车辆运单状态信息
     * @author zk
     * @date 2023/7/27
     **/
    KwtWaybillOrderTrack findWaybillOrderTrack(@Param("wOrderId") Long wOrderId, @Param("status") Integer status);
}